<form [formGroup]="form" enctype="multipart/form-data">
  <div class="container">
    <h1>File Upload</h1>
    <mat-form-field class="col-12" appearance="outline">
      <mat-label>Title</mat-label>
      <input
        formControlName="Title"
        matInput
        placeholder="Title"
        name="title"
        id="title"
        required
      />
    </mat-form-field>

    <input class="form-control" type="file" (change)="onChange($event)" />
    <button (click)="onUpload()" class="btn btn-success mt-3">Upload</button>
  </div>
</form>
